### Method

# GLib Node is_ancestor

#### Declaration [src]

    gboolean
    g_node_is_ancestor (
      GNode* node,
      GNode* descendant
    )

#### Description [src]

Returns `TRUE` if `node` is an ancestor of `descendant`. This is true if node is the parent of `descendant`, or if node is the grandparent of `descendant` etc.

#### Parameters

`descendant`

  Type: `GNode`

  A `GNode`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if `node` is an ancestor of `descendant`.